<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja klasy QCPSelectionDecoratorBracket</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_q_c_p_selection_decorator_bracket.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-types">Typy publiczne</a> &#124;
<a href="#pub-methods">Metody publiczne</a> &#124;
<a href="#pro-methods">Metody chronione</a> &#124;
<a href="#pro-attribs">Atrybuty chronione</a> &#124;
<a href="class_q_c_p_selection_decorator_bracket-members.html">Lista wszystkich składowych</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja klasy QCPSelectionDecoratorBracket</div></div>
</div><!--header-->
<div class="contents">

<p>A selection decorator which draws brackets around each selected data segment.  
 <a href="class_q_c_p_selection_decorator_bracket.html#details">Więcej...</a></p>

<p><code>#include &lt;<a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>&gt;</code></p>
<div class="dynheader">
Diagram dziedziczenia dla QCPSelectionDecoratorBracket</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_selection_decorator_bracket__inherit__graph.png" border="0" usemap="#a_q_c_p_selection_decorator_bracket_inherit__map" alt="Inheritance graph"/></div>
<map name="a_q_c_p_selection_decorator_bracket_inherit__map" id="a_q_c_p_selection_decorator_bracket_inherit__map">
<area shape="rect" title="A selection decorator which draws brackets around each selected data segment." alt="" coords="5,79,211,104"/>
<area shape="rect" href="class_q_c_p_selection_decorator.html" title="Controls how a plottable&#39;s data selection is drawn." alt="" coords="28,5,188,31"/>
<area shape="poly" title=" " alt="" coords="111,44,111,79,105,79,105,44"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legenda</a>]</span></center></div>
<div class="dynheader">
Diagram współpracy dla QCPSelectionDecoratorBracket:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_selection_decorator_bracket__coll__graph.png" border="0" usemap="#a_q_c_p_selection_decorator_bracket_coll__map" alt="Collaboration graph"/></div>
<map name="a_q_c_p_selection_decorator_bracket_coll__map" id="a_q_c_p_selection_decorator_bracket_coll__map">
<area shape="rect" title="A selection decorator which draws brackets around each selected data segment." alt="" coords="1123,181,1328,207"/>
<area shape="rect" href="class_q_c_p_selection_decorator.html" title="Controls how a plottable&#39;s data selection is drawn." alt="" coords="1060,93,1220,119"/>
<area shape="poly" title=" " alt="" coords="1186,123,1209,141,1220,161,1226,180,1221,182,1215,163,1205,144,1183,127"/>
<area shape="rect" href="class_q_c_p_abstract_plottable.html" title="The abstract base class for all data representing objects in a plot." alt="" coords="877,181,1027,207"/>
<area shape="poly" title=" " alt="" coords="1047,117,1012,128,982,145,967,163,958,182,953,180,962,160,978,141,1010,123,1045,112"/>
<area shape="rect" href="class_q_c_p_scatter_style.html" title="Represents the visual appearance of scatter points." alt="" coords="1079,5,1201,31"/>
<area shape="poly" title=" " alt="" coords="1143,45,1143,93,1137,93,1137,45"/>
<area shape="poly" title=" " alt="" coords="1040,183,1076,173,1109,155,1125,137,1134,118,1139,120,1129,140,1112,159,1078,178,1042,189"/>
<area shape="rect" href="class_q_c_p_layerable.html" title="Base class for all drawable objects." alt="" coords="327,93,433,119"/>
<area shape="poly" title=" " alt="" coords="447,104,618,111,720,122,822,140,880,158,929,179,927,184,879,163,821,145,720,127,618,117,447,109"/>
<area shape="rect" href="class_q_c_p_axis.html" title="Manages a single axis inside a QCustomPlot." alt="" coords="643,545,717,571"/>
<area shape="poly" title=" " alt="" coords="447,104,554,108,672,121,725,132,769,147,798,166,806,179,809,192,809,457,808,493,802,508,790,523,774,536,756,545,718,556,717,551,754,540,771,532,786,519,797,505,803,492,804,457,804,193,801,181,794,170,766,151,724,137,672,126,554,114,447,110"/>
<area shape="rect" href="class_q_c_p_layout_element.html" title="The abstract base class for all objects that form the layout system." alt="" coords="523,181,659,207"/>
<area shape="poly" title=" " alt="" coords="422,122,563,179,561,184,420,126"/>
<area shape="rect" href="class_q_c_p_grid.html" title="Responsible for drawing the grid of a QCPAxis." alt="" coords="623,677,697,703"/>
<area shape="poly" title=" " alt="" coords="407,126,431,155,439,173,443,192,443,330,458,393,495,495,537,596,554,632,567,651,594,669,623,680,621,685,591,674,563,655,550,635,532,598,490,497,453,394,437,331,437,193,434,175,427,158,403,130"/>
<area shape="rect" href="class_q_c_p_selection_rect.html" title="Provides rect/rubber&#45;band data selection and range zoom interaction." alt="" coords="153,231,284,256"/>
<area shape="poly" title=" " alt="" coords="334,126,302,145,278,166,257,190,228,232,224,229,253,187,274,162,298,141,331,122"/>
<area shape="rect" title=" " alt="" coords="34,5,105,31"/>
<area shape="poly" title=" " alt="" coords="119,30,339,91,338,96,117,35"/>
<area shape="rect" href="class_q_c_p_layer.html" title="A layer that may contain objects, to control the rendering order." alt="" coords="41,780,124,805"/>
<area shape="poly" title=" " alt="" coords="44,42,19,70,11,87,8,105,8,691,14,718,29,742,48,762,67,778,63,782,44,766,25,745,9,720,3,692,3,104,6,85,15,67,40,38"/>
<area shape="rect" href="class_q_custom_plot.html" title="The central class of the library. This is the QWidget which displays the plot and interacts with the ..." alt="" coords="203,677,303,703"/>
<area shape="poly" title=" " alt="" coords="255,663,276,545,289,495,302,457,312,419,316,369,316,192,321,169,333,148,363,117,366,121,337,151,326,171,321,193,321,369,317,420,307,458,294,497,281,546,260,664"/>
<area shape="rect" href="class_q_c_p_axis_painter_private.html" title=" " alt="" coords="748,780,905,805"/>
<area shape="poly" title=" " alt="" coords="318,700,762,777,761,783,317,705"/>
<area shape="poly" title=" " alt="" coords="244,716,230,738,210,758,167,779,125,789,123,784,166,774,206,754,226,735,240,713"/>
<area shape="rect" title=" " alt="" coords="93,545,165,571"/>
<area shape="poly" title=" " alt="" coords="141,583,159,618,186,651,204,665,223,675,221,680,201,669,182,655,155,620,137,585"/>
<area shape="poly" title=" " alt="" coords="645,579,558,618,451,656,374,674,304,685,303,680,373,669,450,651,556,613,643,574"/>
<area shape="poly" title=" " alt="" coords="664,583,659,595,655,617,654,639,660,676,654,677,649,640,649,617,653,594,659,581"/>
<area shape="rect" href="class_q_c_p_axis_rect.html" title="Holds multiple axes and arranges them in a rectangular shape." alt="" coords="531,443,634,468"/>
<area shape="poly" title=" " alt="" coords="590,481,597,501,609,520,625,533,644,543,642,548,622,537,605,523,592,503,585,482"/>
<area shape="poly" title=" " alt="" coords="612,216,642,256,670,308,680,337,684,365,681,394,669,420,654,435,635,445,633,441,651,431,664,417,676,392,679,365,675,338,665,310,638,259,608,219"/>
<area shape="rect" href="class_q_c_p_layout.html" title="The abstract base class for layouts." alt="" coords="511,280,601,305"/>
<area shape="poly" title=" " alt="" coords="602,220,604,238,600,257,590,271,578,282,574,278,586,268,595,255,598,238,596,220"/>
<area shape="poly" title=" " alt="" coords="517,274,503,257,498,243,503,229,517,214,535,204,538,209,521,219,508,232,504,243,508,255,521,270"/>
<area shape="rect" href="class_q_c_p_layout_inset.html" title="A layout that places child elements aligned to the border or arbitrarily positioned." alt="" coords="529,355,647,380"/>
<area shape="poly" title=" " alt="" coords="569,317,585,353,580,355,564,319"/>
<area shape="rect" href="class_q_c_p_layout_grid.html" title="A layout that arranges child elements in a grid." alt="" coords="342,443,455,468"/>
<area shape="poly" title=" " alt="" coords="537,317,412,444,408,441,533,314"/>
<area shape="poly" title=" " alt="" coords="588,394,587,404,585,443,580,442,581,404,582,394"/>
<area shape="rect" href="class_q_c_p_range.html" title="Represents the range an axis is encompassing." alt="" coords="658,443,745,468"/>
<area shape="poly" title=" " alt="" coords="688,481,684,493,680,520,681,545,676,545,675,520,679,491,683,479"/>
<area shape="poly" title=" " alt="" coords="709,674,725,665,736,652,744,637,746,624,744,611,736,596,725,583,710,573,713,569,729,579,741,593,749,610,751,624,749,639,741,655,728,669,712,678"/>
<area shape="poly" title=" " alt="" coords="827,766,829,729,826,684,815,637,805,616,791,596,776,583,757,574,717,564,718,559,759,569,779,579,795,593,810,613,820,635,832,683,835,729,833,766"/>
<area shape="rect" href="class_q_c_p_line_ending.html" title="Handles the different ending decorations for line&#45;like items." alt="" coords="932,677,1047,703"/>
<area shape="poly" title=" " alt="" coords="960,712,847,782,844,778,957,708"/>
<area shape="rect" href="class_q_c_p_legend.html" title="Manages a legend inside a QCustomPlot." alt="" coords="291,545,384,571"/>
<area shape="poly" title=" " alt="" coords="325,584,263,678,259,676,320,581"/>
<area shape="poly" title=" " alt="" coords="405,481,407,520,403,567,390,615,378,637,362,655,334,673,304,684,303,679,332,668,358,651,374,634,385,613,398,566,402,520,399,482"/>
<area shape="poly" title=" " alt="" coords="387,481,347,547,342,544,382,478"/>
<area shape="poly" title=" " alt="" coords="70,768,59,732,53,692,53,192,62,172,84,155,116,142,156,131,245,116,326,108,327,113,246,121,157,136,118,147,87,160,66,175,59,193,59,691,64,731,75,766"/>
<area shape="poly" title=" " alt="" coords="88,766,100,744,117,725,137,712,159,703,202,692,204,698,160,708,139,717,120,729,104,747,93,769"/>
<area shape="poly" title=" " alt="" coords="214,270,208,298,205,329,205,559,210,594,221,626,248,676,243,678,216,628,205,595,200,560,200,329,203,297,209,268"/>
<area shape="rect" href="class_q_c_p_data_selection.html" title="Describes a data set by holding multiple QCPDataRange instances." alt="" coords="819,93,949,119"/>
<area shape="poly" title=" " alt="" coords="882,133,883,145,888,156,900,169,916,179,913,183,897,173,883,159,878,146,877,133"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legenda</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-types" name="pub-types"></a>
Typy publiczne</h2></td></tr>
<tr class="memitem:aa6d18517ec0553575bbef0de4252336e"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator_bracket.html#aa6d18517ec0553575bbef0de4252336e">BracketStyle</a> { <br />
&#160;&#160;<a class="el" href="class_q_c_p_selection_decorator_bracket.html#aa6d18517ec0553575bbef0de4252336eaa10a8d25d409b09256a13220a4d74f81">bsSquareBracket</a>
, <a class="el" href="class_q_c_p_selection_decorator_bracket.html#aa6d18517ec0553575bbef0de4252336eafa8ad19b1822c9c03fbe5e9ff8eeeea2">bsHalfEllipse</a>
, <a class="el" href="class_q_c_p_selection_decorator_bracket.html#aa6d18517ec0553575bbef0de4252336ea7cab0f2f406e293094a7a1e4903f6e8c">bsEllipse</a>
, <a class="el" href="class_q_c_p_selection_decorator_bracket.html#aa6d18517ec0553575bbef0de4252336ea86eb6ae27e6296576fdc46d13c840530">bsPlus</a>
, <br />
&#160;&#160;<a class="el" href="class_q_c_p_selection_decorator_bracket.html#aa6d18517ec0553575bbef0de4252336ea5a627cacdaa30ce434371d6a034b991d">bsUserStyle</a>
<br />
 }</td></tr>
<tr class="separator:aa6d18517ec0553575bbef0de4252336e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Metody publiczne</h2></td></tr>
<tr class="memitem:ad2cfbff98cc055311810ba357f6eef1b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator_bracket.html#ad2cfbff98cc055311810ba357f6eef1b">QCPSelectionDecoratorBracket</a> ()</td></tr>
<tr class="separator:ad2cfbff98cc055311810ba357f6eef1b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8ae22784b6803aeebadb8f2d184d873"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator_bracket.html#ab8ae22784b6803aeebadb8f2d184d873">~QCPSelectionDecoratorBracket</a> () <a class="el" href="qcustomplot_8hpp.html#a42cc5eaeb25b85f8b52d2a4b94c56f55">Q_DECL_OVERRIDE</a></td></tr>
<tr class="separator:ab8ae22784b6803aeebadb8f2d184d873"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a841c56a37380f2e8af6126881b5f0fb9"><td class="memItemLeft" align="right" valign="top">QPen&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator_bracket.html#a841c56a37380f2e8af6126881b5f0fb9">bracketPen</a> () const</td></tr>
<tr class="separator:a841c56a37380f2e8af6126881b5f0fb9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5e409d6b62f0b71143fb8a526fe59a9"><td class="memItemLeft" align="right" valign="top">QBrush&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator_bracket.html#ac5e409d6b62f0b71143fb8a526fe59a9">bracketBrush</a> () const</td></tr>
<tr class="separator:ac5e409d6b62f0b71143fb8a526fe59a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae268c621b808d8660d38fc6c69fc40ae"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator_bracket.html#ae268c621b808d8660d38fc6c69fc40ae">bracketWidth</a> () const</td></tr>
<tr class="separator:ae268c621b808d8660d38fc6c69fc40ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a531d9c953a7279db93611248e115edab"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator_bracket.html#a531d9c953a7279db93611248e115edab">bracketHeight</a> () const</td></tr>
<tr class="separator:a531d9c953a7279db93611248e115edab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c3d65e560555caf9b31123008491ac6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_selection_decorator_bracket.html#aa6d18517ec0553575bbef0de4252336e">BracketStyle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator_bracket.html#a1c3d65e560555caf9b31123008491ac6">bracketStyle</a> () const</td></tr>
<tr class="separator:a1c3d65e560555caf9b31123008491ac6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a257cb5f8b822edc839c1510ed0f23f13"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator_bracket.html#a257cb5f8b822edc839c1510ed0f23f13">tangentToData</a> () const</td></tr>
<tr class="separator:a257cb5f8b822edc839c1510ed0f23f13"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e21ee2db0f43c1208d2e30879ec6a3c"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator_bracket.html#a4e21ee2db0f43c1208d2e30879ec6a3c">tangentAverage</a> () const</td></tr>
<tr class="separator:a4e21ee2db0f43c1208d2e30879ec6a3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0e392a6097990f8aa978932a8fa05d6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator_bracket.html#ac0e392a6097990f8aa978932a8fa05d6">setBracketPen</a> (const QPen &amp;<a class="el" href="class_q_c_p_selection_decorator.html#a9307a60c9759223367909aed2d05ad91">pen</a>)</td></tr>
<tr class="separator:ac0e392a6097990f8aa978932a8fa05d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f4ea0bfb0ea980252b76dd349dd53aa"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator_bracket.html#a2f4ea0bfb0ea980252b76dd349dd53aa">setBracketBrush</a> (const QBrush &amp;<a class="el" href="class_q_c_p_selection_decorator.html#a783b643aa52120a25308fc501b9998b1">brush</a>)</td></tr>
<tr class="separator:a2f4ea0bfb0ea980252b76dd349dd53aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a291b59cab98ce93a0a3c85963fe10f5e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator_bracket.html#a291b59cab98ce93a0a3c85963fe10f5e">setBracketWidth</a> (int width)</td></tr>
<tr class="separator:a291b59cab98ce93a0a3c85963fe10f5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed773ad737201cca40efc6fe451acad8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator_bracket.html#aed773ad737201cca40efc6fe451acad8">setBracketHeight</a> (int height)</td></tr>
<tr class="separator:aed773ad737201cca40efc6fe451acad8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04507697438f6ad8cc2aeea5422dcbe5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator_bracket.html#a04507697438f6ad8cc2aeea5422dcbe5">setBracketStyle</a> (<a class="el" href="class_q_c_p_selection_decorator_bracket.html#aa6d18517ec0553575bbef0de4252336e">BracketStyle</a> style)</td></tr>
<tr class="separator:a04507697438f6ad8cc2aeea5422dcbe5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93bc6086e53a5e40a08641a7b2e2cdd5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator_bracket.html#a93bc6086e53a5e40a08641a7b2e2cdd5">setTangentToData</a> (bool enabled)</td></tr>
<tr class="separator:a93bc6086e53a5e40a08641a7b2e2cdd5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb2d0876f25a77c88042b70818f1d6e4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator_bracket.html#adb2d0876f25a77c88042b70818f1d6e4">setTangentAverage</a> (int pointCount)</td></tr>
<tr class="separator:adb2d0876f25a77c88042b70818f1d6e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57b65b5508d5bd0f27c9318f3d4646be"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator_bracket.html#a57b65b5508d5bd0f27c9318f3d4646be">drawBracket</a> (<a class="el" href="class_q_c_p_painter.html">QCPPainter</a> *painter, int direction) const</td></tr>
<tr class="separator:a57b65b5508d5bd0f27c9318f3d4646be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ebe2e729b5012c0a995d788f87fac22"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator_bracket.html#a9ebe2e729b5012c0a995d788f87fac22">drawDecoration</a> (<a class="el" href="class_q_c_p_painter.html">QCPPainter</a> *painter, <a class="el" href="class_q_c_p_data_selection.html">QCPDataSelection</a> selection) <a class="el" href="qcustomplot_8hpp.html#a42cc5eaeb25b85f8b52d2a4b94c56f55">Q_DECL_OVERRIDE</a></td></tr>
<tr class="separator:a9ebe2e729b5012c0a995d788f87fac22"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_q_c_p_selection_decorator"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_q_c_p_selection_decorator')"><img src="closed.png" alt="-"/>&#160;Metody publiczne dziedziczone z <a class="el" href="class_q_c_p_selection_decorator.html">QCPSelectionDecorator</a></td></tr>
<tr class="memitem:aa145480d9a062cd176fe30900bb7bca8 inherit pub_methods_class_q_c_p_selection_decorator"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator.html#aa145480d9a062cd176fe30900bb7bca8">QCPSelectionDecorator</a> ()</td></tr>
<tr class="separator:aa145480d9a062cd176fe30900bb7bca8 inherit pub_methods_class_q_c_p_selection_decorator"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab211eb11379854dcbe23b1642be0d19e inherit pub_methods_class_q_c_p_selection_decorator"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator.html#ab211eb11379854dcbe23b1642be0d19e">~QCPSelectionDecorator</a> ()</td></tr>
<tr class="separator:ab211eb11379854dcbe23b1642be0d19e inherit pub_methods_class_q_c_p_selection_decorator"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9307a60c9759223367909aed2d05ad91 inherit pub_methods_class_q_c_p_selection_decorator"><td class="memItemLeft" align="right" valign="top">QPen&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator.html#a9307a60c9759223367909aed2d05ad91">pen</a> () const</td></tr>
<tr class="separator:a9307a60c9759223367909aed2d05ad91 inherit pub_methods_class_q_c_p_selection_decorator"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a783b643aa52120a25308fc501b9998b1 inherit pub_methods_class_q_c_p_selection_decorator"><td class="memItemLeft" align="right" valign="top">QBrush&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator.html#a783b643aa52120a25308fc501b9998b1">brush</a> () const</td></tr>
<tr class="separator:a783b643aa52120a25308fc501b9998b1 inherit pub_methods_class_q_c_p_selection_decorator"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6558f6f270a188bb633386aba0d1ae4 inherit pub_methods_class_q_c_p_selection_decorator"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_scatter_style.html">QCPScatterStyle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator.html#aa6558f6f270a188bb633386aba0d1ae4">scatterStyle</a> () const</td></tr>
<tr class="separator:aa6558f6f270a188bb633386aba0d1ae4 inherit pub_methods_class_q_c_p_selection_decorator"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2019bf31dde39f1ec028e3810dfc08b inherit pub_methods_class_q_c_p_selection_decorator"><td class="memItemLeft" align="right" valign="top">QCPScatterStyle::ScatterProperties&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator.html#ab2019bf31dde39f1ec028e3810dfc08b">usedScatterProperties</a> () const</td></tr>
<tr class="separator:ab2019bf31dde39f1ec028e3810dfc08b inherit pub_methods_class_q_c_p_selection_decorator"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac2c8192e1e294aa3a4a7f32a859e3d76 inherit pub_methods_class_q_c_p_selection_decorator"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator.html#ac2c8192e1e294aa3a4a7f32a859e3d76">setPen</a> (const QPen &amp;<a class="el" href="class_q_c_p_selection_decorator.html#a9307a60c9759223367909aed2d05ad91">pen</a>)</td></tr>
<tr class="separator:ac2c8192e1e294aa3a4a7f32a859e3d76 inherit pub_methods_class_q_c_p_selection_decorator"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa74b626be518ea17055f918d423c8c2d inherit pub_methods_class_q_c_p_selection_decorator"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator.html#aa74b626be518ea17055f918d423c8c2d">setBrush</a> (const QBrush &amp;<a class="el" href="class_q_c_p_selection_decorator.html#a783b643aa52120a25308fc501b9998b1">brush</a>)</td></tr>
<tr class="separator:aa74b626be518ea17055f918d423c8c2d inherit pub_methods_class_q_c_p_selection_decorator"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab403a613289714ff4fd4a0c0371ab116 inherit pub_methods_class_q_c_p_selection_decorator"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator.html#ab403a613289714ff4fd4a0c0371ab116">setScatterStyle</a> (const <a class="el" href="class_q_c_p_scatter_style.html">QCPScatterStyle</a> &amp;<a class="el" href="class_q_c_p_selection_decorator.html#aa6558f6f270a188bb633386aba0d1ae4">scatterStyle</a>, QCPScatterStyle::ScatterProperties usedProperties=<a class="el" href="class_q_c_p_scatter_style.html#a8974f6a20f8f6eea7781f0e6af9deb46aa04d012e7c03e455db2b68fdd55c2a04">QCPScatterStyle::spPen</a>)</td></tr>
<tr class="separator:ab403a613289714ff4fd4a0c0371ab116 inherit pub_methods_class_q_c_p_selection_decorator"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a808c1607cd4e83869c04986e332455c0 inherit pub_methods_class_q_c_p_selection_decorator"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator.html#a808c1607cd4e83869c04986e332455c0">setUsedScatterProperties</a> (const QCPScatterStyle::ScatterProperties &amp;properties)</td></tr>
<tr class="separator:a808c1607cd4e83869c04986e332455c0 inherit pub_methods_class_q_c_p_selection_decorator"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75098893f7d08660ea449206810679d7 inherit pub_methods_class_q_c_p_selection_decorator"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator.html#a75098893f7d08660ea449206810679d7">applyPen</a> (<a class="el" href="class_q_c_p_painter.html">QCPPainter</a> *painter) const</td></tr>
<tr class="separator:a75098893f7d08660ea449206810679d7 inherit pub_methods_class_q_c_p_selection_decorator"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a225544527d51b49546b70d0e6d655a34 inherit pub_methods_class_q_c_p_selection_decorator"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator.html#a225544527d51b49546b70d0e6d655a34">applyBrush</a> (<a class="el" href="class_q_c_p_painter.html">QCPPainter</a> *painter) const</td></tr>
<tr class="separator:a225544527d51b49546b70d0e6d655a34 inherit pub_methods_class_q_c_p_selection_decorator"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1277b373248896bc70e8cc1de96da9fa inherit pub_methods_class_q_c_p_selection_decorator"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_scatter_style.html">QCPScatterStyle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator.html#a1277b373248896bc70e8cc1de96da9fa">getFinalScatterStyle</a> (const <a class="el" href="class_q_c_p_scatter_style.html">QCPScatterStyle</a> &amp;unselectedStyle) const</td></tr>
<tr class="separator:a1277b373248896bc70e8cc1de96da9fa inherit pub_methods_class_q_c_p_selection_decorator"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a467a8d5cfcab27e862a17c797ac27b8a inherit pub_methods_class_q_c_p_selection_decorator"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator.html#a467a8d5cfcab27e862a17c797ac27b8a">copyFrom</a> (const <a class="el" href="class_q_c_p_selection_decorator.html">QCPSelectionDecorator</a> *other)</td></tr>
<tr class="separator:a467a8d5cfcab27e862a17c797ac27b8a inherit pub_methods_class_q_c_p_selection_decorator"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f8eb49e277063845391e803ae23054a inherit pub_methods_class_q_c_p_selection_decorator"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator.html#a4f8eb49e277063845391e803ae23054a">drawDecoration</a> (<a class="el" href="class_q_c_p_painter.html">QCPPainter</a> *painter, <a class="el" href="class_q_c_p_data_selection.html">QCPDataSelection</a> selection)</td></tr>
<tr class="separator:a4f8eb49e277063845391e803ae23054a inherit pub_methods_class_q_c_p_selection_decorator"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-methods" name="pro-methods"></a>
Metody chronione</h2></td></tr>
<tr class="memitem:ac002e20586950bf5c91a399863769c61"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator_bracket.html#ac002e20586950bf5c91a399863769c61">getTangentAngle</a> (const <a class="el" href="class_q_c_p_plottable_interface1_d.html">QCPPlottableInterface1D</a> *interface1d, int dataIndex, int direction) const</td></tr>
<tr class="separator:ac002e20586950bf5c91a399863769c61"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9925ed667e8a645fcb9949bd02ee4a19"><td class="memItemLeft" align="right" valign="top">QPointF&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator_bracket.html#a9925ed667e8a645fcb9949bd02ee4a19">getPixelCoordinates</a> (const <a class="el" href="class_q_c_p_plottable_interface1_d.html">QCPPlottableInterface1D</a> *interface1d, int dataIndex) const</td></tr>
<tr class="separator:a9925ed667e8a645fcb9949bd02ee4a19"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_class_q_c_p_selection_decorator"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_class_q_c_p_selection_decorator')"><img src="closed.png" alt="-"/>&#160;Metody chronione dziedziczone z <a class="el" href="class_q_c_p_selection_decorator.html">QCPSelectionDecorator</a></td></tr>
<tr class="memitem:af66cb39e308da0285ae5d533e1e85027 inherit pro_methods_class_q_c_p_selection_decorator"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator.html#af66cb39e308da0285ae5d533e1e85027">registerWithPlottable</a> (<a class="el" href="class_q_c_p_abstract_plottable.html">QCPAbstractPlottable</a> *plottable)</td></tr>
<tr class="separator:af66cb39e308da0285ae5d533e1e85027 inherit pro_methods_class_q_c_p_selection_decorator"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-attribs" name="pro-attribs"></a>
Atrybuty chronione</h2></td></tr>
<tr class="memitem:ac7da5610713e67e92d0a882ef743a453"><td class="memItemLeft" align="right" valign="top">QPen&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator_bracket.html#ac7da5610713e67e92d0a882ef743a453">mBracketPen</a></td></tr>
<tr class="separator:ac7da5610713e67e92d0a882ef743a453"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae905dd458b85ac529fb9c6ec879e5680"><td class="memItemLeft" align="right" valign="top">QBrush&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator_bracket.html#ae905dd458b85ac529fb9c6ec879e5680">mBracketBrush</a></td></tr>
<tr class="separator:ae905dd458b85ac529fb9c6ec879e5680"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a333983308322d10968c35bf2af4b392d"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator_bracket.html#a333983308322d10968c35bf2af4b392d">mBracketWidth</a></td></tr>
<tr class="separator:a333983308322d10968c35bf2af4b392d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3887d29b82f4dec3bf2ddf97d5475b16"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator_bracket.html#a3887d29b82f4dec3bf2ddf97d5475b16">mBracketHeight</a></td></tr>
<tr class="separator:a3887d29b82f4dec3bf2ddf97d5475b16"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ed4965200caa115da1a49f2f860e23c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_selection_decorator_bracket.html#aa6d18517ec0553575bbef0de4252336e">BracketStyle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator_bracket.html#a5ed4965200caa115da1a49f2f860e23c">mBracketStyle</a></td></tr>
<tr class="separator:a5ed4965200caa115da1a49f2f860e23c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac08c7de0fd81b64b0f3fe31739688081"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator_bracket.html#ac08c7de0fd81b64b0f3fe31739688081">mTangentToData</a></td></tr>
<tr class="separator:ac08c7de0fd81b64b0f3fe31739688081"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a810900616f17964cab140cbc13f40203"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator_bracket.html#a810900616f17964cab140cbc13f40203">mTangentAverage</a></td></tr>
<tr class="separator:a810900616f17964cab140cbc13f40203"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_class_q_c_p_selection_decorator"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_class_q_c_p_selection_decorator')"><img src="closed.png" alt="-"/>&#160;Atrybuty chronione dziedziczone z <a class="el" href="class_q_c_p_selection_decorator.html">QCPSelectionDecorator</a></td></tr>
<tr class="memitem:a684a691c146a5bac927c0146bd28d557 inherit pro_attribs_class_q_c_p_selection_decorator"><td class="memItemLeft" align="right" valign="top">QPen&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator.html#a684a691c146a5bac927c0146bd28d557">mPen</a></td></tr>
<tr class="separator:a684a691c146a5bac927c0146bd28d557 inherit pro_attribs_class_q_c_p_selection_decorator"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e3a3a01fdec5b018c0c59a0b6ae9f70 inherit pro_attribs_class_q_c_p_selection_decorator"><td class="memItemLeft" align="right" valign="top">QBrush&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator.html#a4e3a3a01fdec5b018c0c59a0b6ae9f70">mBrush</a></td></tr>
<tr class="separator:a4e3a3a01fdec5b018c0c59a0b6ae9f70 inherit pro_attribs_class_q_c_p_selection_decorator"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b822197a1bf802c5cf8c3dc43ca549a inherit pro_attribs_class_q_c_p_selection_decorator"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_scatter_style.html">QCPScatterStyle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator.html#a5b822197a1bf802c5cf8c3dc43ca549a">mScatterStyle</a></td></tr>
<tr class="separator:a5b822197a1bf802c5cf8c3dc43ca549a inherit pro_attribs_class_q_c_p_selection_decorator"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb4f6af085283c9ce7d5c168fb53e855 inherit pro_attribs_class_q_c_p_selection_decorator"><td class="memItemLeft" align="right" valign="top">QCPScatterStyle::ScatterProperties&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator.html#acb4f6af085283c9ce7d5c168fb53e855">mUsedScatterProperties</a></td></tr>
<tr class="separator:acb4f6af085283c9ce7d5c168fb53e855 inherit pro_attribs_class_q_c_p_selection_decorator"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a25250a1d29b0723c4fa59a97e62f5758 inherit pro_attribs_class_q_c_p_selection_decorator"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_abstract_plottable.html">QCPAbstractPlottable</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_selection_decorator.html#a25250a1d29b0723c4fa59a97e62f5758">mPlottable</a></td></tr>
<tr class="separator:a25250a1d29b0723c4fa59a97e62f5758 inherit pro_attribs_class_q_c_p_selection_decorator"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock"><p>Additionally to the regular highlighting of selected segments via color, fill and scatter style, this <a class="el" href="class_q_c_p_selection_decorator.html">QCPSelectionDecorator</a> subclass draws markers at the begin and end of each selected data segment of the plottable.</p>
<p>The shape of the markers can be controlled with <a class="el" href="class_q_c_p_selection_decorator_bracket.html#a04507697438f6ad8cc2aeea5422dcbe5">setBracketStyle</a>, <a class="el" href="class_q_c_p_selection_decorator_bracket.html#a291b59cab98ce93a0a3c85963fe10f5e">setBracketWidth</a> and <a class="el" href="class_q_c_p_selection_decorator_bracket.html#aed773ad737201cca40efc6fe451acad8">setBracketHeight</a>. The color/fill can be controlled with <a class="el" href="class_q_c_p_selection_decorator_bracket.html#ac0e392a6097990f8aa978932a8fa05d6">setBracketPen</a> and <a class="el" href="class_q_c_p_selection_decorator_bracket.html#a2f4ea0bfb0ea980252b76dd349dd53aa">setBracketBrush</a>.</p>
<p>To introduce custom bracket styles, it is only necessary to sublcass <a class="el" href="class_q_c_p_selection_decorator_bracket.html">QCPSelectionDecoratorBracket</a> and reimplement <a class="el" href="class_q_c_p_selection_decorator_bracket.html#a57b65b5508d5bd0f27c9318f3d4646be">drawBracket</a>. The rest will be managed by the base class. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l04855">4855</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
</div><h2 class="groupheader">Dokumentacja składowych wyliczanych</h2>
<a id="aa6d18517ec0553575bbef0de4252336e" name="aa6d18517ec0553575bbef0de4252336e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa6d18517ec0553575bbef0de4252336e">&#9670;&#160;</a></span>BracketStyle</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="class_q_c_p_selection_decorator_bracket.html#aa6d18517ec0553575bbef0de4252336e">QCPSelectionDecoratorBracket::BracketStyle</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Defines which shape is drawn at the boundaries of selected data ranges.</p>
<p>Some of the bracket styles further allow specifying a height and/or width, see <a class="el" href="class_q_c_p_selection_decorator_bracket.html#aed773ad737201cca40efc6fe451acad8">setBracketHeight</a> and <a class="el" href="class_q_c_p_selection_decorator_bracket.html#a291b59cab98ce93a0a3c85963fe10f5e">setBracketWidth</a>. </p>
<table class="fieldtable">
<tr><th colspan="2">Wartości wyliczeń</th></tr><tr><td class="fieldname"><a id="aa6d18517ec0553575bbef0de4252336eaa10a8d25d409b09256a13220a4d74f81" name="aa6d18517ec0553575bbef0de4252336eaa10a8d25d409b09256a13220a4d74f81"></a>bsSquareBracket&#160;</td><td class="fielddoc"><p>A square bracket is drawn. </p>
</td></tr>
<tr><td class="fieldname"><a id="aa6d18517ec0553575bbef0de4252336eafa8ad19b1822c9c03fbe5e9ff8eeeea2" name="aa6d18517ec0553575bbef0de4252336eafa8ad19b1822c9c03fbe5e9ff8eeeea2"></a>bsHalfEllipse&#160;</td><td class="fielddoc"><p>A half ellipse is drawn. The size of the ellipse is given by the bracket width/height properties. </p>
</td></tr>
<tr><td class="fieldname"><a id="aa6d18517ec0553575bbef0de4252336ea7cab0f2f406e293094a7a1e4903f6e8c" name="aa6d18517ec0553575bbef0de4252336ea7cab0f2f406e293094a7a1e4903f6e8c"></a>bsEllipse&#160;</td><td class="fielddoc"><p>An ellipse is drawn. The size of the ellipse is given by the bracket width/height properties. </p>
</td></tr>
<tr><td class="fieldname"><a id="aa6d18517ec0553575bbef0de4252336ea86eb6ae27e6296576fdc46d13c840530" name="aa6d18517ec0553575bbef0de4252336ea86eb6ae27e6296576fdc46d13c840530"></a>bsPlus&#160;</td><td class="fielddoc"><p>A plus is drawn. </p>
</td></tr>
<tr><td class="fieldname"><a id="aa6d18517ec0553575bbef0de4252336ea5a627cacdaa30ce434371d6a034b991d" name="aa6d18517ec0553575bbef0de4252336ea5a627cacdaa30ce434371d6a034b991d"></a>bsUserStyle&#160;</td><td class="fielddoc"><p>Start custom bracket styles at this index when subclassing and reimplementing <a class="el" href="class_q_c_p_selection_decorator_bracket.html#a57b65b5508d5bd0f27c9318f3d4646be">drawBracket</a>. </p>
</td></tr>
</table>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l04866">4866</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja konstruktora i destruktora</h2>
<a id="ad2cfbff98cc055311810ba357f6eef1b" name="ad2cfbff98cc055311810ba357f6eef1b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad2cfbff98cc055311810ba357f6eef1b">&#9670;&#160;</a></span>QCPSelectionDecoratorBracket()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QCPSelectionDecoratorBracket::QCPSelectionDecoratorBracket </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Creates a new <a class="el" href="class_q_c_p_selection_decorator_bracket.html" title="A selection decorator which draws brackets around each selected data segment.">QCPSelectionDecoratorBracket</a> instance with default values. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l17162">17162</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<a id="ab8ae22784b6803aeebadb8f2d184d873" name="ab8ae22784b6803aeebadb8f2d184d873"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab8ae22784b6803aeebadb8f2d184d873">&#9670;&#160;</a></span>~QCPSelectionDecoratorBracket()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QCPSelectionDecoratorBracket::~QCPSelectionDecoratorBracket </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l17174">17174</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja funkcji składowych</h2>
<a id="a841c56a37380f2e8af6126881b5f0fb9" name="a841c56a37380f2e8af6126881b5f0fb9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a841c56a37380f2e8af6126881b5f0fb9">&#9670;&#160;</a></span>bracketPen()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QPen QCPSelectionDecoratorBracket::bracketPen </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l04878">4878</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="ac5e409d6b62f0b71143fb8a526fe59a9" name="ac5e409d6b62f0b71143fb8a526fe59a9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac5e409d6b62f0b71143fb8a526fe59a9">&#9670;&#160;</a></span>bracketBrush()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QBrush QCPSelectionDecoratorBracket::bracketBrush </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l04879">4879</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="ae268c621b808d8660d38fc6c69fc40ae" name="ae268c621b808d8660d38fc6c69fc40ae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae268c621b808d8660d38fc6c69fc40ae">&#9670;&#160;</a></span>bracketWidth()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int QCPSelectionDecoratorBracket::bracketWidth </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l04880">4880</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a531d9c953a7279db93611248e115edab" name="a531d9c953a7279db93611248e115edab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a531d9c953a7279db93611248e115edab">&#9670;&#160;</a></span>bracketHeight()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int QCPSelectionDecoratorBracket::bracketHeight </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l04881">4881</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a1c3d65e560555caf9b31123008491ac6" name="a1c3d65e560555caf9b31123008491ac6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1c3d65e560555caf9b31123008491ac6">&#9670;&#160;</a></span>bracketStyle()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_q_c_p_selection_decorator_bracket.html#aa6d18517ec0553575bbef0de4252336e">BracketStyle</a> QCPSelectionDecoratorBracket::bracketStyle </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l04882">4882</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a257cb5f8b822edc839c1510ed0f23f13" name="a257cb5f8b822edc839c1510ed0f23f13"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a257cb5f8b822edc839c1510ed0f23f13">&#9670;&#160;</a></span>tangentToData()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool QCPSelectionDecoratorBracket::tangentToData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l04883">4883</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a4e21ee2db0f43c1208d2e30879ec6a3c" name="a4e21ee2db0f43c1208d2e30879ec6a3c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4e21ee2db0f43c1208d2e30879ec6a3c">&#9670;&#160;</a></span>tangentAverage()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int QCPSelectionDecoratorBracket::tangentAverage </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l04884">4884</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="ac0e392a6097990f8aa978932a8fa05d6" name="ac0e392a6097990f8aa978932a8fa05d6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac0e392a6097990f8aa978932a8fa05d6">&#9670;&#160;</a></span>setBracketPen()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QCPSelectionDecoratorBracket::setBracketPen </td>
          <td>(</td>
          <td class="paramtype">const QPen &amp;&#160;</td>
          <td class="paramname"><em>pen</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets the pen that will be used to draw the brackets at the beginning and end of each selected data segment. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l17182">17182</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_selection_decorator_bracket_ac0e392a6097990f8aa978932a8fa05d6_cgraph.png" border="0" usemap="#aclass_q_c_p_selection_decorator_bracket_ac0e392a6097990f8aa978932a8fa05d6_cgraph" alt=""/></div>
<map name="aclass_q_c_p_selection_decorator_bracket_ac0e392a6097990f8aa978932a8fa05d6_cgraph" id="aclass_q_c_p_selection_decorator_bracket_ac0e392a6097990f8aa978932a8fa05d6_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,211,45"/>
<area shape="rect" href="class_q_c_p_selection_decorator.html#a9307a60c9759223367909aed2d05ad91" title=" " alt="" coords="259,13,445,38"/>
<area shape="poly" title=" " alt="" coords="211,23,245,23,245,28,211,28"/>
</map>
</div>

</div>
</div>
<a id="a2f4ea0bfb0ea980252b76dd349dd53aa" name="a2f4ea0bfb0ea980252b76dd349dd53aa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f4ea0bfb0ea980252b76dd349dd53aa">&#9670;&#160;</a></span>setBracketBrush()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QCPSelectionDecoratorBracket::setBracketBrush </td>
          <td>(</td>
          <td class="paramtype">const QBrush &amp;&#160;</td>
          <td class="paramname"><em>brush</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets the brush that will be used to draw the brackets at the beginning and end of each selected data segment. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l17191">17191</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_selection_decorator_bracket_a2f4ea0bfb0ea980252b76dd349dd53aa_cgraph.png" border="0" usemap="#aclass_q_c_p_selection_decorator_bracket_a2f4ea0bfb0ea980252b76dd349dd53aa_cgraph" alt=""/></div>
<map name="aclass_q_c_p_selection_decorator_bracket_a2f4ea0bfb0ea980252b76dd349dd53aa_cgraph" id="aclass_q_c_p_selection_decorator_bracket_a2f4ea0bfb0ea980252b76dd349dd53aa_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,211,45"/>
<area shape="rect" href="class_q_c_p_selection_decorator.html#a783b643aa52120a25308fc501b9998b1" title=" " alt="" coords="259,5,419,45"/>
<area shape="poly" title=" " alt="" coords="211,23,245,23,245,28,211,28"/>
</map>
</div>

</div>
</div>
<a id="a291b59cab98ce93a0a3c85963fe10f5e" name="a291b59cab98ce93a0a3c85963fe10f5e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a291b59cab98ce93a0a3c85963fe10f5e">&#9670;&#160;</a></span>setBracketWidth()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QCPSelectionDecoratorBracket::setBracketWidth </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>width</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets the width of the drawn bracket. The width dimension is always parallel to the key axis of the data, or the tangent direction of the current data slope, if <a class="el" href="class_q_c_p_selection_decorator_bracket.html#a93bc6086e53a5e40a08641a7b2e2cdd5">setTangentToData</a> is enabled. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l17201">17201</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<a id="aed773ad737201cca40efc6fe451acad8" name="aed773ad737201cca40efc6fe451acad8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aed773ad737201cca40efc6fe451acad8">&#9670;&#160;</a></span>setBracketHeight()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QCPSelectionDecoratorBracket::setBracketHeight </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>height</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets the height of the drawn bracket. The height dimension is always perpendicular to the key axis of the data, or the tangent direction of the current data slope, if <a class="el" href="class_q_c_p_selection_decorator_bracket.html#a93bc6086e53a5e40a08641a7b2e2cdd5">setTangentToData</a> is enabled. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l17211">17211</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<a id="a04507697438f6ad8cc2aeea5422dcbe5" name="a04507697438f6ad8cc2aeea5422dcbe5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a04507697438f6ad8cc2aeea5422dcbe5">&#9670;&#160;</a></span>setBracketStyle()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QCPSelectionDecoratorBracket::setBracketStyle </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_q_c_p_selection_decorator_bracket.html#aa6d18517ec0553575bbef0de4252336e">QCPSelectionDecoratorBracket::BracketStyle</a>&#160;</td>
          <td class="paramname"><em>style</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets the shape that the bracket/marker will have.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_c_p_selection_decorator_bracket.html#a291b59cab98ce93a0a3c85963fe10f5e">setBracketWidth</a>, <a class="el" href="class_q_c_p_selection_decorator_bracket.html#aed773ad737201cca40efc6fe451acad8">setBracketHeight</a> </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l17221">17221</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<a id="a93bc6086e53a5e40a08641a7b2e2cdd5" name="a93bc6086e53a5e40a08641a7b2e2cdd5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a93bc6086e53a5e40a08641a7b2e2cdd5">&#9670;&#160;</a></span>setTangentToData()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QCPSelectionDecoratorBracket::setTangentToData </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>enabled</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets whether the brackets will be rotated such that they align with the slope of the data at the position that they appear in.</p>
<p>For noisy data, it might be more visually appealing to average the slope over multiple data points. This can be configured via <a class="el" href="class_q_c_p_selection_decorator_bracket.html#adb2d0876f25a77c88042b70818f1d6e4">setTangentAverage</a>. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l17233">17233</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<a id="adb2d0876f25a77c88042b70818f1d6e4" name="adb2d0876f25a77c88042b70818f1d6e4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adb2d0876f25a77c88042b70818f1d6e4">&#9670;&#160;</a></span>setTangentAverage()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QCPSelectionDecoratorBracket::setTangentAverage </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>pointCount</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Controls over how many data points the slope shall be averaged, when brackets shall be aligned with the data (if <a class="el" href="class_q_c_p_selection_decorator_bracket.html#a93bc6086e53a5e40a08641a7b2e2cdd5">setTangentToData</a> is true).</p>
<p>From the position of the bracket, <em>pointCount</em> points towards the selected data range will be taken into account. The smallest value of <em>pointCount</em> is 1, which is effectively equivalent to disabling <a class="el" href="class_q_c_p_selection_decorator_bracket.html#a93bc6086e53a5e40a08641a7b2e2cdd5">setTangentToData</a>. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l17246">17246</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<a id="a57b65b5508d5bd0f27c9318f3d4646be" name="a57b65b5508d5bd0f27c9318f3d4646be"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a57b65b5508d5bd0f27c9318f3d4646be">&#9670;&#160;</a></span>drawBracket()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void QCPSelectionDecoratorBracket::drawBracket </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_q_c_p_painter.html">QCPPainter</a> *&#160;</td>
          <td class="paramname"><em>painter</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>direction</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Draws the bracket shape with <em>painter</em>. The parameter <em>direction</em> is either -1 or 1 and indicates whether the bracket shall point to the left or the right (i.e. is a closing or opening bracket, respectively).</p>
<p>The passed <em>painter</em> already contains all transformations that are necessary to position and rotate the bracket appropriately. Painting operations can be performed as if drawing upright brackets on flat data with horizontal key axis, with (0, 0) being the center of the bracket.</p>
<p>If you wish to sublcass <a class="el" href="class_q_c_p_selection_decorator_bracket.html">QCPSelectionDecoratorBracket</a> in order to provide custom bracket shapes (see <a class="el" href="class_q_c_p_selection_decorator_bracket.html#aa6d18517ec0553575bbef0de4252336ea5a627cacdaa30ce434371d6a034b991d">QCPSelectionDecoratorBracket::bsUserStyle</a>), this is the method you should reimplement. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l17266">17266</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_selection_decorator_bracket_a57b65b5508d5bd0f27c9318f3d4646be_cgraph.png" border="0" usemap="#aclass_q_c_p_selection_decorator_bracket_a57b65b5508d5bd0f27c9318f3d4646be_cgraph" alt=""/></div>
<map name="aclass_q_c_p_selection_decorator_bracket_a57b65b5508d5bd0f27c9318f3d4646be_cgraph" id="aclass_q_c_p_selection_decorator_bracket_a57b65b5508d5bd0f27c9318f3d4646be_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,211,45"/>
<area shape="rect" href="class_q_c_p_painter.html#a0b4b1b9bd495e182c731774dc800e6e0" title=" " alt="" coords="259,13,409,38"/>
<area shape="poly" title=" " alt="" coords="211,23,245,23,245,28,211,28"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_selection_decorator_bracket_a57b65b5508d5bd0f27c9318f3d4646be_icgraph.png" border="0" usemap="#aclass_q_c_p_selection_decorator_bracket_a57b65b5508d5bd0f27c9318f3d4646be_icgraph" alt=""/></div>
<map name="aclass_q_c_p_selection_decorator_bracket_a57b65b5508d5bd0f27c9318f3d4646be_icgraph" id="aclass_q_c_p_selection_decorator_bracket_a57b65b5508d5bd0f27c9318f3d4646be_icgraph">
<area shape="rect" title=" " alt="" coords="259,5,464,45"/>
<area shape="rect" href="class_q_c_p_selection_decorator_bracket.html#a9ebe2e729b5012c0a995d788f87fac22" title=" " alt="" coords="5,5,211,45"/>
<area shape="poly" title=" " alt="" coords="245,28,211,28,211,23,245,23"/>
</map>
</div>

</div>
</div>
<a id="a9ebe2e729b5012c0a995d788f87fac22" name="a9ebe2e729b5012c0a995d788f87fac22"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9ebe2e729b5012c0a995d788f87fac22">&#9670;&#160;</a></span>drawDecoration()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void QCPSelectionDecoratorBracket::drawDecoration </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_q_c_p_painter.html">QCPPainter</a> *&#160;</td>
          <td class="paramname"><em>painter</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_q_c_p_data_selection.html">QCPDataSelection</a>&#160;</td>
          <td class="paramname"><em>selection</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Draws the bracket decoration on the data points at the begin and end of each selected data segment given in <em>seletion</em>.</p>
<p>It uses the method <a class="el" href="class_q_c_p_selection_decorator_bracket.html#a57b65b5508d5bd0f27c9318f3d4646be">drawBracket</a> to actually draw the shapes.</p>
<p>\seebaseclassmethod </p>

<p>Reimplementowana z <a class="el" href="class_q_c_p_selection_decorator.html#a4f8eb49e277063845391e803ae23054a">QCPSelectionDecorator</a>.</p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l17309">17309</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_selection_decorator_bracket_a9ebe2e729b5012c0a995d788f87fac22_cgraph.png" border="0" usemap="#aclass_q_c_p_selection_decorator_bracket_a9ebe2e729b5012c0a995d788f87fac22_cgraph" alt=""/></div>
<map name="aclass_q_c_p_selection_decorator_bracket_a9ebe2e729b5012c0a995d788f87fac22_cgraph" id="aclass_q_c_p_selection_decorator_bracket_a9ebe2e729b5012c0a995d788f87fac22_cgraph">
<area shape="rect" title=" " alt="" coords="5,263,211,303"/>
<area shape="rect" href="class_q_c_p_data_range.html#ae76d7eba9defdfafcd0fc41096793129" title=" " alt="" coords="287,5,437,31"/>
<area shape="poly" title=" " alt="" coords="113,262,131,216,161,155,203,93,228,64,257,40,272,31,275,36,260,44,232,68,207,96,165,158,136,218,118,264"/>
<area shape="rect" href="class_q_c_p_data_selection.html#ac3b1c5e7713d380cd9e447f4556b94da" title=" " alt="" coords="259,55,465,80"/>
<area shape="poly" title=" " alt="" coords="117,262,138,225,169,178,209,131,257,90,271,83,273,88,260,95,213,134,173,181,142,227,122,264"/>
<area shape="rect" href="class_q_c_p_selection_decorator_bracket.html#a57b65b5508d5bd0f27c9318f3d4646be" title=" " alt="" coords="259,105,465,145"/>
<area shape="poly" title=" " alt="" coords="126,261,182,208,218,179,257,154,271,148,273,152,260,159,221,184,185,212,130,265"/>
<area shape="rect" href="class_q_c_p_data_range.html#aee1b20fb045929c3753ee2ce14af7630" title=" " alt="" coords="291,169,433,195"/>
<area shape="poly" title=" " alt="" coords="148,261,258,212,302,196,303,201,260,216,150,265"/>
<area shape="rect" href="class_q_c_p_selection_decorator_bracket.html#a9925ed667e8a645fcb9949bd02ee4a19" title=" " alt="" coords="515,295,720,335"/>
<area shape="poly" title=" " alt="" coords="211,287,501,305,500,311,211,292"/>
<area shape="rect" href="class_q_c_p_abstract_plottable.html#aa6f25b97ee99988fe352f17cb9ed962b" title=" " alt="" coords="778,187,929,227"/>
<area shape="poly" title=" " alt="" coords="211,270,764,214,765,219,211,276"/>
<area shape="rect" href="class_q_c_p_selection_decorator_bracket.html#ac002e20586950bf5c91a399863769c61" title=" " alt="" coords="259,321,465,361"/>
<area shape="poly" title=" " alt="" coords="198,301,260,315,259,320,197,306"/>
<area shape="rect" href="class_q_c_p_abstract_plottable.html#a81fd9fd5c4f429c074785e2eb238a8e7" title=" " alt="" coords="287,385,437,425"/>
<area shape="poly" title=" " alt="" coords="140,301,194,336,260,370,278,378,275,382,258,375,192,340,137,306"/>
<area shape="rect" href="class_q_c_p_data_selection.html#a7f7526b475998dc0c3d6c376b24736c9" title=" " alt="" coords="271,449,453,475"/>
<area shape="poly" title=" " alt="" coords="125,302,179,368,217,404,260,434,276,442,274,447,257,439,214,408,175,372,121,305"/>
<area shape="rect" href="class_q_c_p_axis.html#ab9866dd1a78f1920f491ec12a794bec2" title=" " alt="" coords="278,499,446,524"/>
<area shape="poly" title=" " alt="" coords="121,302,141,342,171,391,211,441,235,464,260,484,273,491,270,496,257,488,231,468,207,445,167,394,136,344,116,305"/>
<area shape="rect" href="class_q_c_p_painter.html#af9c7a4cd1791403901f8c5b82a150195" title=" " alt="" coords="293,548,431,573"/>
<area shape="poly" title=" " alt="" coords="118,303,135,351,164,414,205,480,231,509,260,534,281,546,278,551,257,539,227,513,201,483,159,416,130,353,113,304"/>
<area shape="rect" href="class_q_c_p_painter.html#a0b4b1b9bd495e182c731774dc800e6e0" title=" " alt="" coords="542,112,693,137"/>
<area shape="poly" title=" " alt="" coords="465,122,528,122,528,127,465,127"/>
<area shape="rect" href="class_q_c_p_axis.html#af15d1b3a7f7e9b53d759d3ccff1fe4b4" title=" " alt="" coords="775,303,931,328"/>
<area shape="poly" title=" " alt="" coords="720,313,762,313,762,318,720,318"/>
<area shape="rect" href="class_q_c_p_axis.html#ab988ef4538e2655bb77bd138189cd42e" title=" " alt="" coords="989,155,1130,180"/>
<area shape="poly" title=" " alt="" coords="720,295,844,268,898,252,936,237,950,226,959,214,969,202,984,189,995,183,998,188,987,194,973,205,964,217,954,230,939,242,900,258,845,273,721,300"/>
<area shape="rect" href="class_q_c_p_plottable_interface1_d.html#a2bd60daaac046945fead558cbd83cf73" title=" " alt="" coords="769,353,937,393"/>
<area shape="poly" title=" " alt="" coords="701,333,758,347,757,352,700,338"/>
<area shape="rect" href="class_q_c_p_plottable_interface1_d.html#af6330919e8023277d08c958a6074fc76" title=" " alt="" coords="769,417,937,457"/>
<area shape="poly" title=" " alt="" coords="700,333,723,345,739,360,748,374,756,388,771,403,779,408,776,412,768,407,752,392,743,377,735,363,720,350,698,338"/>
<area shape="poly" title=" " alt="" coords="661,293,795,231,797,236,663,298"/>
<area shape="rect" href="class_q_c_p_abstract_plottable.html#a842b3831660d3e33b73863fd133889dd" title=" " alt="" coords="778,481,929,521"/>
<area shape="poly" title=" " alt="" coords="706,333,723,345,736,361,744,376,748,407,753,437,759,452,771,467,776,471,772,475,767,470,755,455,748,439,743,408,738,378,732,364,720,349,703,338"/>
<area shape="rect" href="class_q_c_p_axis_rect.html#acefdf1abaa8a8ab681e906cc2be9581e" title=" " alt="" coords="985,253,1133,279"/>
<area shape="poly" title=" " alt="" coords="906,300,992,279,993,285,908,305"/>
<area shape="rect" href="class_q_c_p_axis_rect.html#acc4377809e79d9a089ab790f39429b0d" title=" " alt="" coords="988,303,1131,328"/>
<area shape="poly" title=" " alt="" coords="932,313,974,313,974,318,932,318"/>
<area shape="rect" href="class_q_c_p_axis_rect.html#afb4a3de02046b20b9310bdb8fca781c3" title=" " alt="" coords="996,352,1123,377"/>
<area shape="poly" title=" " alt="" coords="908,325,993,346,992,351,906,331"/>
<area shape="poly" title=" " alt="" coords="903,300,936,281,952,259,958,236,965,213,983,189,990,184,993,189,987,193,970,215,964,238,957,261,939,285,906,305"/>
<area shape="rect" href="class_q_c_p_axis_rect.html#a3f819d4a1b2193723d1fdafc573eea10" title=" " alt="" coords="993,401,1126,427"/>
<area shape="poly" title=" " alt="" coords="911,326,939,338,954,351,964,363,973,375,987,386,1000,394,998,398,984,391,969,378,959,366,950,354,936,343,909,330"/>
<area shape="rect" href="class_q_c_p_range.html#a62326e7cc4316b96df6a60813230e63f" title=" " alt="" coords="1001,451,1117,476"/>
<area shape="poly" title=" " alt="" coords="918,326,939,339,958,363,964,388,970,413,987,436,995,442,992,446,983,440,965,415,959,390,953,366,936,343,915,330"/>
<area shape="rect" href="class_q_c_p_axis_rect.html#a45dbad181cbb9f09d068dbb76c817c95" title=" " alt="" coords="996,500,1123,525"/>
<area shape="poly" title=" " alt="" coords="921,326,939,339,954,357,961,376,964,413,967,450,974,468,987,486,993,491,990,495,983,489,969,470,962,451,959,414,956,378,949,360,936,343,918,330"/>
<area shape="rect" href="class_q_c_p_axis_rect.html#a204645398a4f9d0b0189385c7c2cfb91" title=" " alt="" coords="990,204,1129,229"/>
<area shape="poly" title=" " alt="" coords="895,300,936,281,959,260,969,249,984,238,996,232,999,237,987,243,973,253,963,264,939,286,897,305"/>
<area shape="poly" title=" " alt="" coords="465,328,501,324,501,330,465,333"/>
<area shape="rect" href="class_q_c_p_plottable_interface1_d.html#a058a22c770ef4d5a0e878a7f02183da9" title=" " alt="" coords="533,359,701,399"/>
<area shape="poly" title=" " alt="" coords="465,354,520,362,519,367,465,359"/>
<area shape="rect" href="class_q_c_p_painter.html#a7e63fbcf47e35c6f2ecd11b8fef7c7d8" title=" " alt="" coords="513,548,721,573"/>
<area shape="poly" title=" " alt="" coords="432,558,499,558,499,563,432,563"/>
</map>
</div>

</div>
</div>
<a id="ac002e20586950bf5c91a399863769c61" name="ac002e20586950bf5c91a399863769c61"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac002e20586950bf5c91a399863769c61">&#9670;&#160;</a></span>getTangentAngle()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double QCPSelectionDecoratorBracket::getTangentAngle </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_q_c_p_plottable_interface1_d.html">QCPPlottableInterface1D</a> *&#160;</td>
          <td class="paramname"><em>interface1d</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>dataIndex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>direction</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l17361">17361</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_selection_decorator_bracket_ac002e20586950bf5c91a399863769c61_cgraph.png" border="0" usemap="#aclass_q_c_p_selection_decorator_bracket_ac002e20586950bf5c91a399863769c61_cgraph" alt=""/></div>
<map name="aclass_q_c_p_selection_decorator_bracket_ac002e20586950bf5c91a399863769c61_cgraph" id="aclass_q_c_p_selection_decorator_bracket_ac002e20586950bf5c91a399863769c61_cgraph">
<area shape="rect" title=" " alt="" coords="5,203,211,243"/>
<area shape="rect" href="class_q_c_p_plottable_interface1_d.html#a058a22c770ef4d5a0e878a7f02183da9" title=" " alt="" coords="277,171,445,211"/>
<area shape="poly" title=" " alt="" coords="211,208,263,201,264,206,211,213"/>
<area shape="rect" href="class_q_c_p_selection_decorator_bracket.html#a9925ed667e8a645fcb9949bd02ee4a19" title=" " alt="" coords="259,235,464,275"/>
<area shape="poly" title=" " alt="" coords="211,234,245,238,245,243,211,239"/>
<area shape="rect" href="class_q_c_p_axis.html#af15d1b3a7f7e9b53d759d3ccff1fe4b4" title=" " alt="" coords="518,153,674,179"/>
<area shape="poly" title=" " alt="" coords="434,233,463,221,487,205,511,189,531,181,533,186,513,194,489,210,465,226,436,238"/>
<area shape="rect" href="class_q_c_p_axis.html#ab988ef4538e2655bb77bd138189cd42e" title=" " alt="" coords="731,5,873,31"/>
<area shape="poly" title=" " alt="" coords="444,233,462,221,479,202,486,182,494,161,510,139,564,98,612,77,663,61,727,39,746,33,748,38,729,45,665,66,613,82,566,103,514,143,498,163,491,184,483,205,466,225,446,238"/>
<area shape="rect" href="class_q_c_p_plottable_interface1_d.html#a2bd60daaac046945fead558cbd83cf73" title=" " alt="" coords="512,203,680,243"/>
<area shape="poly" title=" " alt="" coords="464,239,498,234,499,239,464,244"/>
<area shape="rect" href="class_q_c_p_plottable_interface1_d.html#af6330919e8023277d08c958a6074fc76" title=" " alt="" coords="512,267,680,307"/>
<area shape="poly" title=" " alt="" coords="464,267,499,271,498,277,464,272"/>
<area shape="rect" href="class_q_c_p_abstract_plottable.html#aa6f25b97ee99988fe352f17cb9ed962b" title=" " alt="" coords="521,331,671,371"/>
<area shape="poly" title=" " alt="" coords="409,273,513,317,530,324,528,329,511,322,407,278"/>
<area shape="rect" href="class_q_c_p_abstract_plottable.html#a842b3831660d3e33b73863fd133889dd" title=" " alt="" coords="521,395,671,435"/>
<area shape="poly" title=" " alt="" coords="384,274,439,326,475,355,513,381,524,387,522,392,511,386,472,359,436,330,380,277"/>
<area shape="rect" href="class_q_c_p_axis_rect.html#acefdf1abaa8a8ab681e906cc2be9581e" title=" " alt="" coords="728,55,876,80"/>
<area shape="poly" title=" " alt="" coords="616,151,665,121,727,89,744,82,746,87,729,94,668,125,618,155"/>
<area shape="rect" href="class_q_c_p_axis_rect.html#acc4377809e79d9a089ab790f39429b0d" title=" " alt="" coords="731,104,873,129"/>
<area shape="poly" title=" " alt="" coords="649,151,734,130,736,135,650,156"/>
<area shape="rect" href="class_q_c_p_axis_rect.html#afb4a3de02046b20b9310bdb8fca781c3" title=" " alt="" coords="739,153,865,179"/>
<area shape="poly" title=" " alt="" coords="674,163,725,163,725,169,674,169"/>
<area shape="poly" title=" " alt="" coords="609,151,726,40,738,34,741,38,730,44,612,155"/>
<area shape="rect" href="class_q_c_p_axis_rect.html#a3f819d4a1b2193723d1fdafc573eea10" title=" " alt="" coords="735,203,869,228"/>
<area shape="poly" title=" " alt="" coords="650,176,736,197,734,202,649,181"/>
<area shape="rect" href="class_q_c_p_range.html#a62326e7cc4316b96df6a60813230e63f" title=" " alt="" coords="744,252,860,277"/>
<area shape="poly" title=" " alt="" coords="653,176,681,189,697,201,706,214,715,225,729,237,743,244,740,249,727,242,711,229,702,217,693,205,679,194,651,181"/>
<area shape="rect" href="class_q_c_p_axis_rect.html#a45dbad181cbb9f09d068dbb76c817c95" title=" " alt="" coords="739,301,865,327"/>
<area shape="poly" title=" " alt="" coords="661,177,682,189,700,214,707,239,713,263,730,287,738,293,735,297,726,291,708,266,702,240,696,216,678,193,658,181"/>
<area shape="rect" href="class_q_c_p_axis_rect.html#a204645398a4f9d0b0189385c7c2cfb91" title=" " alt="" coords="733,351,871,376"/>
<area shape="poly" title=" " alt="" coords="663,177,682,189,696,208,704,227,707,264,710,301,716,318,730,336,736,341,732,345,726,340,712,321,705,302,702,265,699,228,692,211,678,193,660,181"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_selection_decorator_bracket_ac002e20586950bf5c91a399863769c61_icgraph.png" border="0" usemap="#aclass_q_c_p_selection_decorator_bracket_ac002e20586950bf5c91a399863769c61_icgraph" alt=""/></div>
<map name="aclass_q_c_p_selection_decorator_bracket_ac002e20586950bf5c91a399863769c61_icgraph" id="aclass_q_c_p_selection_decorator_bracket_ac002e20586950bf5c91a399863769c61_icgraph">
<area shape="rect" title=" " alt="" coords="259,5,464,45"/>
<area shape="rect" href="class_q_c_p_selection_decorator_bracket.html#a9ebe2e729b5012c0a995d788f87fac22" title=" " alt="" coords="5,5,211,45"/>
<area shape="poly" title=" " alt="" coords="245,28,211,28,211,23,245,23"/>
</map>
</div>

</div>
</div>
<a id="a9925ed667e8a645fcb9949bd02ee4a19" name="a9925ed667e8a645fcb9949bd02ee4a19"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9925ed667e8a645fcb9949bd02ee4a19">&#9670;&#160;</a></span>getPixelCoordinates()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QPointF QCPSelectionDecoratorBracket::getPixelCoordinates </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_q_c_p_plottable_interface1_d.html">QCPPlottableInterface1D</a> *&#160;</td>
          <td class="paramname"><em>interface1d</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>dataIndex</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l17408">17408</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_selection_decorator_bracket_a9925ed667e8a645fcb9949bd02ee4a19_cgraph.png" border="0" usemap="#aclass_q_c_p_selection_decorator_bracket_a9925ed667e8a645fcb9949bd02ee4a19_cgraph" alt=""/></div>
<map name="aclass_q_c_p_selection_decorator_bracket_a9925ed667e8a645fcb9949bd02ee4a19_cgraph" id="aclass_q_c_p_selection_decorator_bracket_a9925ed667e8a645fcb9949bd02ee4a19_cgraph">
<area shape="rect" title=" " alt="" coords="5,235,211,275"/>
<area shape="rect" href="class_q_c_p_axis.html#af15d1b3a7f7e9b53d759d3ccff1fe4b4" title=" " alt="" coords="265,153,421,179"/>
<area shape="poly" title=" " alt="" coords="152,233,258,189,283,180,285,185,260,194,154,238"/>
<area shape="rect" href="class_q_c_p_axis.html#ab988ef4538e2655bb77bd138189cd42e" title=" " alt="" coords="478,5,619,31"/>
<area shape="poly" title=" " alt="" coords="131,233,187,187,257,138,316,105,363,83,474,40,492,33,494,38,476,44,365,88,318,110,260,143,190,192,134,237"/>
<area shape="rect" href="class_q_c_p_plottable_interface1_d.html#a2bd60daaac046945fead558cbd83cf73" title=" " alt="" coords="259,203,427,243"/>
<area shape="poly" title=" " alt="" coords="210,239,245,234,246,239,211,244"/>
<area shape="rect" href="class_q_c_p_plottable_interface1_d.html#af6330919e8023277d08c958a6074fc76" title=" " alt="" coords="259,267,427,307"/>
<area shape="poly" title=" " alt="" coords="211,267,246,271,245,277,210,272"/>
<area shape="rect" href="class_q_c_p_abstract_plottable.html#aa6f25b97ee99988fe352f17cb9ed962b" title=" " alt="" coords="267,331,418,371"/>
<area shape="poly" title=" " alt="" coords="156,273,260,317,277,324,275,329,258,322,154,278"/>
<area shape="rect" href="class_q_c_p_abstract_plottable.html#a842b3831660d3e33b73863fd133889dd" title=" " alt="" coords="267,395,418,435"/>
<area shape="poly" title=" " alt="" coords="130,274,186,326,222,355,260,381,271,387,268,392,257,386,219,359,182,330,127,277"/>
<area shape="rect" href="class_q_c_p_axis_rect.html#acefdf1abaa8a8ab681e906cc2be9581e" title=" " alt="" coords="475,55,623,80"/>
<area shape="poly" title=" " alt="" coords="362,151,412,121,474,89,491,82,493,87,476,94,414,125,365,155"/>
<area shape="rect" href="class_q_c_p_axis_rect.html#acc4377809e79d9a089ab790f39429b0d" title=" " alt="" coords="477,104,620,129"/>
<area shape="poly" title=" " alt="" coords="396,151,481,130,482,135,397,156"/>
<area shape="rect" href="class_q_c_p_axis_rect.html#afb4a3de02046b20b9310bdb8fca781c3" title=" " alt="" coords="485,153,612,179"/>
<area shape="poly" title=" " alt="" coords="421,163,471,163,471,169,421,169"/>
<area shape="poly" title=" " alt="" coords="355,151,473,40,485,34,488,38,476,44,359,155"/>
<area shape="rect" href="class_q_c_p_axis_rect.html#a3f819d4a1b2193723d1fdafc573eea10" title=" " alt="" coords="482,203,615,228"/>
<area shape="poly" title=" " alt="" coords="397,176,482,197,481,202,396,181"/>
<area shape="rect" href="class_q_c_p_range.html#a62326e7cc4316b96df6a60813230e63f" title=" " alt="" coords="491,252,607,277"/>
<area shape="poly" title=" " alt="" coords="400,176,428,189,443,201,453,214,462,225,476,237,490,244,487,249,473,242,458,229,449,217,440,205,425,194,398,181"/>
<area shape="rect" href="class_q_c_p_axis_rect.html#a45dbad181cbb9f09d068dbb76c817c95" title=" " alt="" coords="485,301,612,327"/>
<area shape="poly" title=" " alt="" coords="407,177,428,189,447,214,453,239,460,263,477,287,484,293,481,297,473,291,455,266,448,240,442,216,425,193,405,181"/>
<area shape="rect" href="class_q_c_p_axis_rect.html#a204645398a4f9d0b0189385c7c2cfb91" title=" " alt="" coords="479,351,618,376"/>
<area shape="poly" title=" " alt="" coords="410,177,428,189,443,208,451,227,454,264,456,301,463,318,477,336,483,341,479,345,473,340,458,321,451,302,448,265,445,228,439,211,425,193,407,181"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_selection_decorator_bracket_a9925ed667e8a645fcb9949bd02ee4a19_icgraph.png" border="0" usemap="#aclass_q_c_p_selection_decorator_bracket_a9925ed667e8a645fcb9949bd02ee4a19_icgraph" alt=""/></div>
<map name="aclass_q_c_p_selection_decorator_bracket_a9925ed667e8a645fcb9949bd02ee4a19_icgraph" id="aclass_q_c_p_selection_decorator_bracket_a9925ed667e8a645fcb9949bd02ee4a19_icgraph">
<area shape="rect" title=" " alt="" coords="512,5,717,45"/>
<area shape="rect" href="class_q_c_p_selection_decorator_bracket.html#a9ebe2e729b5012c0a995d788f87fac22" title=" " alt="" coords="5,5,211,45"/>
<area shape="poly" title=" " alt="" coords="498,25,464,24,259,24,211,25,211,20,259,19,464,19,498,19"/>
<area shape="rect" href="class_q_c_p_selection_decorator_bracket.html#ac002e20586950bf5c91a399863769c61" title=" " alt="" coords="259,33,464,73"/>
<area shape="poly" title=" " alt="" coords="499,41,465,45,464,39,498,36"/>
<area shape="poly" title=" " alt="" coords="245,43,211,39,211,34,245,38"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Dokumentacja atrybutów składowych</h2>
<a id="ac7da5610713e67e92d0a882ef743a453" name="ac7da5610713e67e92d0a882ef743a453"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac7da5610713e67e92d0a882ef743a453">&#9670;&#160;</a></span>mBracketPen</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QPen QCPSelectionDecoratorBracket::mBracketPen</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l04903">4903</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="ae905dd458b85ac529fb9c6ec879e5680" name="ae905dd458b85ac529fb9c6ec879e5680"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae905dd458b85ac529fb9c6ec879e5680">&#9670;&#160;</a></span>mBracketBrush</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QBrush QCPSelectionDecoratorBracket::mBracketBrush</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l04904">4904</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a333983308322d10968c35bf2af4b392d" name="a333983308322d10968c35bf2af4b392d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a333983308322d10968c35bf2af4b392d">&#9670;&#160;</a></span>mBracketWidth</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int QCPSelectionDecoratorBracket::mBracketWidth</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l04905">4905</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a3887d29b82f4dec3bf2ddf97d5475b16" name="a3887d29b82f4dec3bf2ddf97d5475b16"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3887d29b82f4dec3bf2ddf97d5475b16">&#9670;&#160;</a></span>mBracketHeight</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int QCPSelectionDecoratorBracket::mBracketHeight</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l04906">4906</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a5ed4965200caa115da1a49f2f860e23c" name="a5ed4965200caa115da1a49f2f860e23c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5ed4965200caa115da1a49f2f860e23c">&#9670;&#160;</a></span>mBracketStyle</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_q_c_p_selection_decorator_bracket.html#aa6d18517ec0553575bbef0de4252336e">BracketStyle</a> QCPSelectionDecoratorBracket::mBracketStyle</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l04907">4907</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="ac08c7de0fd81b64b0f3fe31739688081" name="ac08c7de0fd81b64b0f3fe31739688081"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac08c7de0fd81b64b0f3fe31739688081">&#9670;&#160;</a></span>mTangentToData</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool QCPSelectionDecoratorBracket::mTangentToData</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l04908">4908</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a810900616f17964cab140cbc13f40203" name="a810900616f17964cab140cbc13f40203"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a810900616f17964cab140cbc13f40203">&#9670;&#160;</a></span>mTangentAverage</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int QCPSelectionDecoratorBracket::mTangentAverage</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l04909">4909</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<hr/>Dokumentacja dla tej klasy została wygenerowana z plików:<ul>
<li><a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a></li>
<li><a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_q_c_p_selection_decorator_bracket.html">QCPSelectionDecoratorBracket</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
